[Users-fr] Celestlab et Mac

classic Classic list List threaded Threaded
3 messages Options
Jean Paul Bret Jean Paul Bret
Reply | Threaded
Open this post in threaded view
|

[Users-fr] Celestlab et Mac

Bonjour,

J’ai téléchargé la dernière version Mac de Scilab: «  scilab-branch-6.1 »  sur un Mac avec Catalina 10.5.7 et je ne peux pas installer Celestlab avec le message d’erreur suivant:


atomsLoad : Une erreur est survenue au cours du chargement de 'celestlab-3.4.0’:
        exec: error on line #28: "*** CelestLab is not available for this version of Scilab (Scilab 6.1.0 or less required) »

En faisant:

getversion("scilab »)

j’obtiens:

 ans  =

   6.   1.   1.   0.

Le script d’installation (builder.sce) teste:

sciver = getversion("scilab");
// Build loader and cleaner according to Scilab version
if (sciver(1) >= 6)

La version 6.1.1.0 n’apparait pas dans l’info.plist du programme.

Que faire?

Merci d'avance
_______________________________________________
users-fr mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users-fr
mottelet mottelet
Reply | Threaded
Open this post in threaded view
|

Re: Celestlab et Mac

Bonjour,

C'est normal, la version que vous avez téléchargé sur
https://www.utc.fr/~mottelet/scilab_for_macOS.html suit la branche de
développement 6.1 dont la prochaine release sera estampillée 6.1.1.

Cela dit, il n'est pas normal que le test fait par le loader de
celestlab prenne en compte le 3e digit du numéro de version. La preuve,
le paquet est bien répertorié comme disponible dans l'interface d'Atoms
(commande executée sur le dernier build de Scilab-branch-6.1 pour macOS) :

--> atomsList()
                         animaGIF - stand-alone creation of an animated
GIF image from images files or from a live figure
                      ANN_Toolbox - Artificial Neural Network toolbox
                           apifun - Check input arguments in macros
                              BTD - Basic fuctions for Bioinformatics
anlaysis
              bytecode_iot_module - This is an Internet of Things
toolbox for Scilab.
                        celestlab - CNES Space Mechanics Toolbox for
Mission Analysis

(les lignes suivantes ont été omises)

Merci donc de vous rapprocher des auteurs du package celestlab.

S.

Le 06/10/2020 à 13:06, Jean Paul Bret a écrit :

> Bonjour,
>
> J’ai téléchargé la dernière version Mac de Scilab: «  scilab-branch-6.1 »  sur un Mac avec Catalina 10.5.7 et je ne peux pas installer Celestlab avec le message d’erreur suivant:
>
>
> atomsLoad : Une erreur est survenue au cours du chargement de 'celestlab-3.4.0’:
> exec: error on line #28: "*** CelestLab is not available for this version of Scilab (Scilab 6.1.0 or less required) »
>
> En faisant:
>
> getversion("scilab »)
>
> j’obtiens:
>
>   ans  =
>
>     6.   1.   1.   0.
>
> Le script d’installation (builder.sce) teste:
>
> sciver = getversion("scilab");
> // Build loader and cleaner according to Scilab version
> if (sciver(1) >= 6)
>
> La version 6.1.1.0 n’apparait pas dans l’info.plist du programme.
>
> Que faire?
>
> Merci d'avance
> _______________________________________________
> users-fr mailing list
> [hidden email]
> https://antispam.utc.fr/proxy/1/c3RlcGhhbmUubW90dGVsZXRAdXRjLmZy/lists.scilab.org/mailman/listinfo/users-fr

--
Stéphane Mottelet
Ingénieur de recherche
EA 4297 Transformations Intégrées de la Matière Renouvelable
Département Génie des Procédés Industriels
Sorbonne Universités - Université de Technologie de Compiègne
CS 60319, 60203 Compiègne cedex
Tel : +33(0)344234688
http://www.utc.fr/~mottelet

_______________________________________________
users-fr mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users-fr
Jean Paul Bret Jean Paul Bret
Reply | Threaded
Open this post in threaded view
|

Re: Celestlab et Mac

In reply to this post by Jean Paul Bret
Merci de votre aide, j’ai trouvé une solution en bidouillant « Celestlab.start » et ça marche!

> Le 6 oct. 2020 à 13:06, Jean Paul Bret <[hidden email]> a écrit :
>
> Bonjour,
>
> J’ai téléchargé la dernière version Mac de Scilab: «  scilab-branch-6.1 »  sur un Mac avec Catalina 10.5.7 et je ne peux pas installer Celestlab avec le message d’erreur suivant:
>
>
> atomsLoad : Une erreur est survenue au cours du chargement de 'celestlab-3.4.0’:
> exec: error on line #28: "*** CelestLab is not available for this version of Scilab (Scilab 6.1.0 or less required) »
>
> En faisant:
>
> getversion("scilab »)
>
> j’obtiens:
>
> ans  =
>
>   6.   1.   1.   0.
>
> Le script d’installation (builder.sce) teste:
>
> sciver = getversion("scilab");
> // Build loader and cleaner according to Scilab version
> if (sciver(1) >= 6)
>
> La version 6.1.1.0 n’apparait pas dans l’info.plist du programme.
>
> Que faire?
>
> Merci d'avance
> _______________________________________________
> users-fr mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users-fr

_______________________________________________
users-fr mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users-fr